commit:     87dce7d732562734909e2438a6c1bb6ef847236f
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon May 21 14:12:28 2018 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon May 21 14:12:28 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87dce7d7

dev-python/vcrpy: 1.12.0

Package-Manager: Portage-2.3.38, Repoman-2.3.9

 dev-python/vcrpy/Manifest            |  1 +
 dev-python/vcrpy/vcrpy-1.12.0.ebuild | 41 ++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/vcrpy/Manifest b/dev-python/vcrpy/Manifest
index 8c1b8767ec2..a2aa7cff1ed 100644
--- a/dev-python/vcrpy/Manifest
+++ b/dev-python/vcrpy/Manifest
@@ -1,2 +1,3 @@
 DIST vcrpy-1.10.3.tar.gz 61804 BLAKE2B 
58ef423cb7a7c059cf7dc863565420be6829e6b692becfcf8a38b94121265aab832d77deb04cd1c3a622df7bd9bdf1540fc74f63c0f3f85373536cd35c23a01e
 SHA512 
976f3d9b58025ab5c3a8a666138fbbadccaf8612edea63ac4fbf307d55888eb688bf27dd0f24b0d2c5528c951ced533a52cf13c33bfb32d7e89f241ff508018d
 DIST vcrpy-1.11.1.tar.gz 63122 BLAKE2B 
da0fabb1eb342eb268923bcf433ac108d06fc111714834e99d9364358064ad0814bff1463f49bea60c59fe901c46fc8b78c4129e9bb4ab6736266f18b3bdf272
 SHA512 
d883b87d5b3017843dfc2e33241953ada27d50ffda4936ba4326a392acb9c7667474abd054d6e44b0208096cd96b68e87ec9780c0d6fab77369cc4e517617395
+DIST vcrpy-1.12.0.tar.gz 326731 BLAKE2B 
a0fd5aa3fea1bef336f0864a6d89e7025d2394f89af23ac9a3ed61430c85b9a46584c528398a03debcce646767bd85328360513476bc89ca067e705767fe85fd
 SHA512 
c47d50cd399fa11eb6fd1d210b056ef9768e501799a9774f7338370177754e35b9a9ee43ff5cb7f1f43073624f9011cc1ca230dbdf317c1bccd0ec6b506c61e0

diff --git a/dev-python/vcrpy/vcrpy-1.12.0.ebuild 
b/dev-python/vcrpy/vcrpy-1.12.0.ebuild
new file mode 100644
index 00000000000..adfcee1807d
--- /dev/null
+++ b/dev-python/vcrpy/vcrpy-1.12.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically mock your HTTP interactions to simplify and speed 
up testing"
+HOMEPAGE="https://github.com/kevin1024/vcrpy";
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/kevin1024/vcrpy/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       >=dev-python/six-1.5[${PYTHON_USEDEP}]
+       dev-python/urllib3[${PYTHON_USEDEP}]
+       dev-python/wrapt[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
+       $(python_gen_cond_dep 'dev-python/contextlib2[${PYTHON_USEDEP}]' 
python2_7)
+       $(python_gen_cond_dep 'dev-python/yarl[${PYTHON_USEDEP}]' 'python3*')
+       "
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       py.test -vv -x tests/unit || die
+}

Reply via email to